Skip to content
You're viewing documentation for v2026.11.13-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

List stanzas on a server

List stanzas with a repo on a server.

GET/api/v1/servers/{id}/stanzas
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Responses
200

OK

stanzasStanzaView[]required
Show properties
Array of StanzaView
database_service_idstring
namestringrequired
orphanedbooleanrequired
out_of_syncbooleanrequired
reposStanzaRepoView[]required
Show properties
Array of StanzaRepoView
host_server_idstringrequired
host_server_namestring
kindstringrequired
Allowed:localremote
pathstringrequired
repo_idstringrequired
repo_indexinteger<int64>required
statusstringrequired
Allowed:activedetached
stanza_idstringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/servers/string/stanzas' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "stanzas": [
    {
      "database_service_id": "string",
      "name": "string",
      "orphaned": true,
      "out_of_sync": true,
      "repos": [
        {
          "host_server_id": "string",
          "host_server_name": "string",
          "kind": "local",
          "path": "string",
          "repo_id": "string",
          "repo_index": 0,
          "status": "active"
        }
      ],
      "stanza_id": "string"
    }
  ]
}